View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000315Ecere SDKcompilerpublic2010-02-23 07:022014-04-30 10:38
Reporterjerome 
Assigned Tojerome 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000315: Compiler crash on C++ style method definition
Descriptionimport "ecere"
class TestClass : Window
{
   void OnRedraw(const CSurface & surface)
   {

   }
}
Additional Information  0 GetDeclId Function, src\ast.ec:483
  1 ProcessClass Function, src\pass1.ec:1276
  2 ProcessClassDefinitions Function, src\pass1.ec:1695


Identifier id = external.function ? GetDeclId(external.function.declarator) : null;

external.type is functionExternal
external.function.declarator is 0xbaadf000
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001236)
jerome (administrator)
2014-04-30 10:38

This is no longer an issue.

- Issue History
Date Modified Username Field Change
2010-02-23 07:02 jerome New Issue
2010-07-25 20:33 redj Relationship added child of 0000430
2012-03-08 16:51 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2014-04-30 10:38 jerome Note Added: 0001236
2014-04-30 10:38 jerome Assigned To => jerome
2014-04-30 10:38 jerome Status new => closed
2014-04-30 10:38 jerome Resolution open => fixed
2014-04-30 10:38 jerome Fixed in Version => 0.44.10 64
2014-04-30 10:38 jerome Target Version 0.45 Ginkakuji => 0.44.10 64



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker